/*

script.js

Script for telling the tale of the Flying Dutchman.


Oolite
Copyright © 2003-2011 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


Flying_Dutchman.oxp
Copyright © 2008-2011 "Commander McLane"

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/

"use strict";

this.name           = "Flying Dutchman";
this.description    = "Script for telling the tale of the Flying Dutchman";
this.author         = "Commander McLane";
this.copyright      = "© 2011 Commander McLane";
this.license		= "CC-by-nc-sa 3.0";
this.version        = "1.7";


this.missionOffers = function()
{
	if (guiScreen == "GUI_SCREEN_MISSION") return;
	if (player.ship.dockedStation.isMainStation)
	{
		if (!missionVariables.flying_dutchman && Math.random() > 0.92)
		{
			mission.runScreen({titleKey:"flying_dutchman_newstitle", messageKey:"flying_dutchman_newsflash", background:"iNews.png"});
			missionVariables.flying_dutchman = "NEWS";
			missionVariables.flying_dutchman_jumpcounter = 0;
		}
		if (missionVariables.flying_dutchman == "NEWS" && system.government > 4 && missionVariables.flying_dutchman_jumpcounter >= 3)
		{
			mission.runScreen({titleKey:"flying_dutchman_encountertitle", messageKey:"flying_dutchman_encounter"});
			missionVariables.flying_dutchman = "ENCOUNTER";
			delete missionVariables.flying_dutchman_jumpcounter;
		}
	}
}

this.missionScreenOpportunity = function()
{
	this.missionOffers();
}

this.shipWillExitWitchspace = function()
{
	if (system.isInterstellarSpace) return;
	if (missionVariables.flying_dutchman == "NEWS") missionVariables.flying_dutchman_jumpcounter ++;
	if (missionVariables.flying_dutchman == "ENCOUNTER") system.addShipsToRoute("flying_dutchman_runner", 1, 0.25, "wp");
	if (missionVariables.flying_dutchman == "SEE_YOU_AGAIN" && Math.random() > 0.95) system.addShipsToRoute("flying_dutchman_runner", 1, 0.25, "wp");
}
